netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
generic_mb.h File Reference

Go to the source code of this file.

## Functions
size_t | mb_generic_pull (int(*charfunc)(ucs2_t *, const unsigned char *), void *, char **, size_t *, char **, size_t *)
size_t | mb_generic_push (int(*charfunc)(unsigned char *, ucs2_t), void *, char **, size_t *, char **, size_t *)

## Function Documentation

## ◆ mb_generic_pull()

size_t mb_generic_pull | ( | int(* | charfunc )(ucs2_t *, const unsigned char *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )

## ◆ mb_generic_push()

size_t mb_generic_push | ( | int(* | charfunc )(unsigned char *, ucs2_t),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )